using System;

namespace Madionicar
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string prva = Console.ReadLine();
            int br_karti = int.Parse(prva.Split()[0]);
            int br_karte = int.Parse(prva.Split()[1]);
            string druga = Console.ReadLine();
            int[] brojevi = new int[br_karti];
            int index=0;
            for (int i = 0; i < br_karti; i++)
            {
                brojevi[i] = int.Parse(druga.Split()[i]);
                if (brojevi[i] == br_karte && i != br_karti - 1)
                    index += i + 1;
            }
            Console.WriteLine(brojevi[index]);
        }
    }
}